#include <ESP8266WiFi.h>
#include <ESPAsyncTCP.h>
#include <ESPAsyncWebServer.h>
#include "secrets.h"

AsyncWebServer server(80);              // Webszerver objektumpéldány létrehozása

void setup(void) {
  setup_wifi();                         // Csatlakozás a helyi hálózatra
  server.on("/", HTTP_GET, handleRoot); // Visszahívási függvény hozzárendelés
  server.onNotFound(handleNotFound);    // Visszahívási függvény hozzárendelés
  server.begin();                       // Indítjuk a webszervert
}

void loop(void) {
  // Nincs mit tenni...
}

void handleRoot(AsyncWebServerRequest *request) {                     // A "/" URI lekérés kiszolgálása
  request->send(200, "text/plain", "Hello world!");
}

void handleNotFound(AsyncWebServerRequest *request) { // A sikertelen lekérések kiszolgálása
  request->send(404, "text/plain", "404: Not found");
}

void setup_wifi() {
  Serial.begin(115200);
  WiFi.mode(WIFI_STA);
  WiFi.begin(WIFI_SSID, WIFI_PASS);
  Serial.print("Connecting to ");
  Serial.print(WIFI_SSID);
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println();
  Serial.print("Connected! IP address: ");
  Serial.println(WiFi.localIP());
}
